//
//  AGErrorEmailSupport.h
//  AraeliumAppKit
//
//  Created by Seth Willits on 1/19/16.
//  Copyright © 2016 Araelium Group. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface AGErrorEmailSupportRecoveryAttempter : NSObject
+ (instancetype)sharedInstance;
@end



@interface AGErrorEmailSupport : NSObject
+ (void)startSendingErrorByEmail:(NSString *)body;
+ (NSString *)standardBodyForError:(NSError *)error;
+ (NSString *)stringForError:(NSError *)error;
@end



@interface NSError (AGErrorEmailSupport)
- (BOOL)ag_shouldOfferEmailSupport;
- (NSError *)ag_errorWithEmailSupportRecoveryAttempter;
@end
