//
//  AGShelfViewButton.h
//  Araelium Edit 2.1
//
//  Created by Seth Willits on 8/2/06.
//  Copyright 2006 Araelium Group. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@class AGShelfView;
@class AGShelfViewButtonCell;
@interface AGShelfViewButton : NSButton {
	AGShelfView * shelfView;
//	id identifier;
	SEL alternateAction;
	NSImage * image;
	NSImage * alternateImage;
	BOOL hasMenu;
	BOOL useAlternates;
	
	// Internal state
	BOOL mouseIsDown;
}

- (void)setShelfView:(AGShelfView *)shelf;
- (AGShelfView *)shelfView;
//- (void)setIdentifier:(id)identifier;
//- (id)identifier;
- (void)setAlternateAction:(SEL)action;
- (SEL)alternateAction;
- (void)setImage:(NSImage *)image;
- (NSImage *)image;
- (void)setAlternateImage:(NSImage *)image;
- (NSImage *)alternateImage;
- (void)setHasMenu:(BOOL)menu;
- (BOOL)hasMenu;

@end



@interface AGShelfViewButtonCell : NSButtonCell {
	@public
	BOOL useAlternates;
}

@end
