//
//  AraeliumFoundation.h
//  AraeliumFoundation
//
//  Created by Seth Willits on 5/21/09.
//  Copyright 2009 Araelium Group. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <AraeliumFoundation/AraeliumFoundationTypes.h>
#import <AraeliumFoundation/AraeliumFoundationStructures.h>

// Additions
#import <AraeliumFoundation/GCDAdditions.h>
#import <AraeliumFoundation/NSArrayAdditions.h>
#import <AraeliumFoundation/NSBundleAdditions.h>
#import <AraeliumFoundation/NSDataAdditions.h>
#import <AraeliumFoundation/NSDictionaryAdditions.h>
#import <AraeliumFoundation/NSErrorAdditions.h>
#import <AraeliumFoundation/NSFileManagerAdditions.h>
#import <AraeliumFoundation/NSGeometryAdditions.h>
#import <AraeliumFoundation/NSNotificationCenterAdditions.h>
#import <AraeliumFoundation/NSObjectAdditions.h>
#import <AraeliumFoundation/NSObjectKVOAdditions.h>
#import <AraeliumFoundation/NSOperationAdditions.h>
#import <AraeliumFoundation/NSOperationQueueAdditions.h>
#import <AraeliumFoundation/NSPropertyListSerializationAdditions.h>
#import <AraeliumFoundation/NSScannerAdditions.h>
#import <AraeliumFoundation/NSSetAdditions.h>
#import <AraeliumFoundation/NSStringAdditions.h>
#import <AraeliumFoundation/NSTimeZoneAdditions.h>
#import <AraeliumFoundation/NSURLConnectionAdditions.h>
#import <AraeliumFoundation/NSURLAdditions.h>
#import <AraeliumFoundation/NSUserDefaultsAdditions.h>

// Formatters
#import <AraeliumFoundation/AGByteFormatter.h>
#import <AraeliumFoundation/AGTimeFormatter.h>

// Other
#import <AraeliumFoundation/AGAuthentication.h>
#import <AraeliumFoundation/AGBinaryStream.h>
#import <AraeliumFoundation/AGCache.h>
#import <AraeliumFoundation/AGCacheLRUExpiryPolicy.h>
#import <AraeliumFoundation/AGEnqueueCoalescedBlock.h>
#import <AraeliumFoundation/AGFileOperation.h>
#import <AraeliumFoundation/AGFlattenedArray.h>
#import <AraeliumFoundation/AGNotificationQueue.h>
#import <AraeliumFoundation/AGThreadSafeMutableSet.h>
#import <AraeliumFoundation/AGThreadSafeQueue.h>
#import <AraeliumFoundation/AGThrottlingDispatcher.h>
#import <AraeliumFoundation/AGSerialOperationQueue.h>
#import <AraeliumFoundation/AGGenerateProcessCoordinator.h>
#import <AraeliumFoundation/AGHotKeyCenter.h>
#import <AraeliumFoundation/AGWeak.h>
#import <AraeliumFoundation/OSVersion.h>
#import <AraeliumFoundation/OSXCrashReporterInfo.h>
#import <AraeliumFoundation/AGCaseInsensitiveStringDictionary.h>
#import <AraeliumFoundation/AGStringSet.h>
#import <AraeliumFoundation/AGKeyPathDictionary.h>
#import <AraeliumFoundation/AGKVOMutableDictionary.h>
#import <AraeliumFoundation/AGKVOReceptionist.h>
#import <AraeliumFoundation/AGRollingSampler.h>
#import <AraeliumFoundation/AGUserDefaults.h>
#import <AraeliumFoundation/EnforceSubclassImplementations.h>
