//
//  AraeliumAppKit.m
//  AraeliumAppKit
//
//  Created by Seth Willits on 5/21/09.
//  Copyright 2009-2014 Araelium Group. All rights reserved.
//

// Additions
// -----------------------------------------------------------
#import <AraeliumAppKit/NSAlertAdditions.h>
#import <AraeliumAppKit/NSApplicationAdditions.h>
#import <AraeliumAppKit/NSBezierPathAdditions.h>
#import <AraeliumAppKit/NSColorAdditions.h>
#import <AraeliumAppKit/NSBitmapImageRepAdditions.h>
#import <AraeliumAppKit/NSEventAdditions.h>
#import <AraeliumAppKit/NSGradientAdditions.h>
#import <AraeliumAppKit/NSImageAdditions.h>
#import <AraeliumAppKit/NSMenuAdditions.h>
#import <AraeliumAppKit/NSMenu+Dark.h>
#import <AraeliumAppKit/NSOutlineViewAdditions.h>
#import <AraeliumAppKit/NSPopUpButtonAdditions.h>
#import <AraeliumAppKit/NSSavePanelAdditions.h>
#import <AraeliumAppKit/NSScreenAdditions.h>
#import <AraeliumAppKit/NSSoundAdditions.h>
#import <AraeliumAppKit/NSShadowAdditions.h>
#import <AraeliumAppKit/NSTableViewAdditions.h>
#import <AraeliumAppKit/NSTextFieldAdditions.h>
#import <AraeliumAppKit/NSTextViewAdditions.h>
#import <AraeliumAppKit/NSViewAdditions.h>
#import <AraeliumAppKit/NSWindowAdditions.h>
#import <AraeliumAppKit/NSWorkspaceAdditions.h>
#import <AraeliumAppKit/CGAdditions.h>
#import <AraeliumAppKit/CALayerAdditions.h>

// Other
// -----------------------------------------------------------
#import <AraeliumAppKit/AGAnimation.h>
#import <AraeliumAppKit/AGApplication.h>
#import <AraeliumAppKit/AGApplicationMoved.h>
#import <AraeliumAppKit/AGHierarchalViewController.h>
#import <AraeliumAppKit/AGHierarchalWindowController.h>
#import <AraeliumAppKit/AGRespondingViewController.h>
#import <AraeliumAppKit/AGRespondingWindowController.h>
#import <AraeliumAppKit/AGDisclosureButton.h>
#import <AraeliumAppKit/AGDisclosureButtonCell.h>
#import <AraeliumAppKit/AGErrorEmailSupport.h>
#import <AraeliumAppKit/AGGradientTableView.h>
#import <AraeliumAppKit/AGGrayButton.h>
#import <AraeliumAppKit/AGGrayPushButton.h>
#import <AraeliumAppKit/AGGrayToggleButton.h>
#import <AraeliumAppKit/AGGrayTableHeaderView.h>
#import <AraeliumAppKit/AGGrayTableHeaderCell.h>
#import <AraeliumAppKit/AGHUDTextField.h>
#import <AraeliumAppKit/AGImageAndTextCell.h>
#import <AraeliumAppKit/AGInputPanel.h>
#import <AraeliumAppKit/AGInspectorRegistry.h>
#import <AraeliumAppKit/AGInspector.h>
#import <AraeliumAppKit/AGInspectorWindow.h>
#import <AraeliumAppKit/AGInspectableControllerProtocol.h>
#import <AraeliumAppKit/AGMenuFilteringMenuItem.h>
#import <AraeliumAppKit/AGNSImageView.h>
#import <AraeliumAppKit/AGNSSegmentedControl.h>
#import <AraeliumAppKit/AGNSSplitView.h>
#import <AraeliumAppKit/AGNSSplitViewDelegate.h>
#import <AraeliumAppKit/AGOutlineView.h>
#import <AraeliumAppKit/AGResponderChainWindowController.h>
#import <AraeliumAppKit/AGSection.h>
#import <AraeliumAppKit/AGSectionView.h>
#import <AraeliumAppKit/AGSegmentedCell.h>
#import <AraeliumAppKit/AGSegmentedControl.h>
#import <AraeliumAppKit/AGSegmentedControlStyles.h>
#import <AraeliumAppKit/AGShelfView.h>
#import <AraeliumAppKit/AGShelfViewButton.h>
#import <AraeliumAppKit/AGShelfViewButtonView.h>
#import <AraeliumAppKit/AGShortcut.h>
#import <AraeliumAppKit/AGShortcutPickerView.h>
#import <AraeliumAppKit/AGShortcutTableCell.h>
#import <AraeliumAppKit/AGShortcutUserProtocol.h>
#import <AraeliumAppKit/AGSimpleColoredView.h>
#import <AraeliumAppKit/AGTabBarControl.h>
#import <AraeliumAppKit/AGFlatTabStyle.h>
#import <AraeliumAppKit/AGTableView.h>
#import <AraeliumAppKit/AGToolbarMenuButtonItem.h>


// Mac OS X 10.5 ONLY --- huh? why????
// -----------------------------------------------------------
#import <AraeliumAppKit/AGOverlayWindow.h>
#import <AraeliumAppKit/AGZoomableWindow.h>
#import <AraeliumAppKit/AGIconFamily.h>



